<div class="ch-container">
  <div class="container">
    <ch-spinner [isRunning]="isRequesting" delay="0"></ch-spinner>
    <div id="background"></div>

    <div class="row">
      <div class="col-lg-2 ch-left-side">
        <div class="ch-menu">
          <div class="ch-background-trans"></div>
          <nav class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link"
                href="javascript:void(0)"
                [ngClass]="{'active': currentCategory === category}"

                *ngFor="let category of categories; let i = index"
                (click)="getEntries(category)"
                >{{category.title | translate}}<div></div>
              </a>
            </li>
          </nav>
        </div>
      </div>
      <div class="col-lg-7 ch-content">
        <div class="row">
          <div class="col col-sm-8">
            <h4>{{'USER_POSTS.TITLE' | translate | uppercase}}</h4>
          </div>
          <div class="col col-sm-4">
            <!-- <button class="btn btn-outline-success btn-sm pull-right"
                    [routerLink]="['/categories', categoryId, 'posts', 'add']"
                    type="button">{{'createNewPostBtn' | translate}}</button> -->
          </div>
        </div>
        <ch-message-alert [message]="message"></ch-message-alert>
        <ch-post
            *ngFor="let e of entries; let i = index"
            [entry]="e"
            [index]="i"
            ></ch-post>
        <!-- <ch-pagination
          [items]="pages"
          [currentItem]="page + 1"
          (itemEvent)="onPageChanged($event)"
          ></ch-pagination> -->
      </div>
      <div class="col-lg-3 ch-right-side">
        <ch-post-short title="RECENT.TITLE"
                      [items]="recentEntries"
        ></ch-post-short>
        <ch-comment-short title="LAST.TITLE"
                          [items]="recentComments"
        ></ch-comment-short>
      </div>
    </div>
  </div>
</div>
